summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@iinet.net.au>2015-03-20 06:17:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-20 06:22:01 +0700
commitfe357de360cac800800b2bf158da806f72cfe11c (patch)
tree04996ffae8675aa0c10b4b02c4c258959d61cdf2 /graphics
parentcf6ca2b23c8ab2d2bad0607ba49b16bdace15dc1 (diff)
downloadslackbuilds-fe357de360cac800800b2bf158da806f72cfe11c.tar.gz
slackbuilds-fe357de360cac800800b2bf158da806f72cfe11c.tar.xz
graphics/opencollada: Added (COLLADA plugin library & SDK).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/opencollada/README16
-rw-r--r--graphics/opencollada/opencollada.SlackBuild104
-rw-r--r--graphics/opencollada/opencollada.info10
-rw-r--r--graphics/opencollada/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/graphics/opencollada/README b/graphics/opencollada/README
new file mode 100644
index 0000000000..ef71675a2c
--- /dev/null
+++ b/graphics/opencollada/README
@@ -0,0 +1,16 @@
+COLLADA(TM) defines an XML-based schema to make it easy to transport 3D assets
+between applications - enabling diverse 3D authoring and content processing
+tools to be combined into a production pipeline. The intermediate language
+provides comprehensive encoding of visual scenes including: geometry, shaders
+and effects, physics, animation, kinematics, and even multiple version
+representations of the same asset.COLLADA FX enables leading 3D authoring tools
+to work effectively together to create shader and effects applications and
+assets to be authored and packaged using OpenGL® Shading Language, Cg, CgFX,
+and DirectX® FX.
+
+OpenCOLLADA provides COLLADAMax and COLLADAMaya, a new implementation of a
+3ds Max or Maya plug-ins to export scene or parts of it to a COLLADA file,
+released under an MIT-license. In contrast to other existing COLLADA exporters,
+these new plug-ins do not store the COLLADA document in an intermediate data
+model but writes it directly to file. This leads to a dramatic reduction of
+memory consumption and to much better performance.
diff --git a/graphics/opencollada/opencollada.SlackBuild b/graphics/opencollada/opencollada.SlackBuild
new file mode 100644
index 0000000000..edba533c5a
--- /dev/null
+++ b/graphics/opencollada/opencollada.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for opencollada
+
+# Copyright 2015 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opencollada
+VERSION=${VERSION:-0.git20150310}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ev
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake ../ \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR:PATH=lib$LIBDIRSUFFIX \
+ -DUSE_EXPAT:BOOL=OFF \
+ -DUSE_LIBXML:BOOL=ON \
+ -DUSE_SHARED:BOOL=ON \
+ -DUSE_STATIC:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+[ -d $PKG/usr/lib$LIBDIRSUFFIX ] || {
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/opencollada/opencollada.info b/graphics/opencollada/opencollada.info
new file mode 100644
index 0000000000..b04facc9aa
--- /dev/null
+++ b/graphics/opencollada/opencollada.info
@@ -0,0 +1,10 @@
+PRGNAM="opencollada"
+VERSION="0.git20150310"
+HOMEPAGE="https://github.com/KhronosGroup/OpenCOLLADA/"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/opencollada/opencollada-0.git20150310.tar.gz"
+MD5SUM="09557b97782d7320668431d814280f01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@iinet.net.au"
diff --git a/graphics/opencollada/slack-desc b/graphics/opencollada/slack-desc
new file mode 100644
index 0000000000..61aaac33c9
--- /dev/null
+++ b/graphics/opencollada/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opencollada: opencollada (COLLADA plugin library & SDK)
+opencollada:
+opencollada: OpenCOLLADA provides COLLADAMax and COLLADAMaya plugins for 3ds Max
+opencollada: or Maya to interchange scene information, via the COLLADA framework,
+opencollada: with other COLLADA supporting software e.g. blender
+opencollada:
+opencollada:
+opencollada:
+opencollada:
+opencollada:
+opencollada: